[med-svn] [libvcflib] 02/02: Add wrapper

Andreas Tille tille at debian.org
Thu Sep 15 21:00:59 UTC 2016


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository libvcflib.

commit ad8c19e5b8adc683c72db2d17d047a7b1cacb59d
Author: Andreas Tille <tille at debian.org>
Date:   Thu Sep 15 23:00:45 2016 +0200

    Add wrapper
---
 debian/libvcflib-tools.install |  4 ++--
 debian/wrapper/vcflib          | 24 ++++++++++++++++++++++++
 2 files changed, 26 insertions(+), 2 deletions(-)

diff --git a/debian/libvcflib-tools.install b/debian/libvcflib-tools.install
index e6c501a..b91af81 100644
--- a/debian/libvcflib-tools.install
+++ b/debian/libvcflib-tools.install
@@ -1,2 +1,2 @@
-bin		usr/lib/vcflib
-debian/bin	usr
+bin			usr/lib/vcflib
+debian/wrapper/*	usr/bin
diff --git a/debian/wrapper/vcflib b/debian/wrapper/vcflib
new file mode 100644
index 0000000..c4f8845
--- /dev/null
+++ b/debian/wrapper/vcflib
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+BINDIR=/usr/lib/vcflib/bin
+
+if [ $# -lt 1 ] ; then
+    echo "Usage: $0 <program>" 1>&2
+    echo "  Existing programs are:"
+    ls ${BINDIR}
+    exit 1
+fi
+
+WRAPPER=$0
+PROGRAM=$1
+shift
+ARGS=$*
+
+if [ -x ${BINDIR}/${PROGRAM} ]; then
+    exec ${BINDIR}/${PROGRAM} ${ARGS}
+else
+    echo "Usage: ${PROGRAM} does not exist in vcflib"
+    echo "  Existing programs are:"
+    ls ${BINDIR}
+    exit 1
+fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/libvcflib.git



More information about the debian-med-commit mailing list